Get a config change request
curl --request GET \
--url https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"changeRequest": {
"id": "<string>",
"status": "uploaded",
"title": "<string>",
"mode": "merge",
"source": "ui",
"sourceOrganization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"sourceDeployment": "cloud",
"areas": [
"members.teams"
],
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"planHash": "<string>",
"approvals": [
{
"memberId": "<string>",
"name": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"autoApply": true,
"createdBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"revertsChangeRequestId": "<string>",
"revertedByChangeRequestId": "<string>",
"errors": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"appliedAt": "2023-11-07T05:31:56Z"
},
"report": {
"runId": "<string>",
"attempt": 0,
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"requestedBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"runsAs": {
"memberId": "<string>",
"name": "<string>"
},
"counts": {
"applied": 0,
"noop": 0,
"failed": 0,
"not_reached": 0,
"skipped": 0
},
"failure": {
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
}
},
"items": [
{
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"op": "create",
"localId": "<string>",
"status": "applied",
"steps": [
{
"action": "create",
"target": "<string>",
"detail": "<string>"
}
],
"warnings": [
"<string>"
],
"irreversible": [
"<string>"
],
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 0,
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
},
"error": "<string>"
}
],
"warnings": [
"<string>"
],
"afterRevs": {}
},
"runs": [
{
"runId": "<string>",
"attempt": 0,
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"requestedBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"runsAs": {
"memberId": "<string>",
"name": "<string>"
},
"counts": {
"applied": 0,
"noop": 0,
"failed": 0,
"not_reached": 0,
"skipped": 0
},
"failure": {
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
}
},
"items": [
{
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"op": "create",
"localId": "<string>",
"status": "applied",
"steps": [
{
"action": "create",
"target": "<string>",
"detail": "<string>"
}
],
"warnings": [
"<string>"
],
"irreversible": [
"<string>"
],
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 0,
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
},
"error": "<string>"
}
],
"warnings": [
"<string>"
],
"afterRevs": {}
}
]
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"feature": "<string>"
}Config blobs
Get a config change request
Status, summary, approvals, the latest apply report (report) and every apply attempt, newest first (runs).
GET
/
v1
/
config-blobs
/
change-requests
/
{changeRequestId}
Get a config change request
curl --request GET \
--url https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"changeRequest": {
"id": "<string>",
"status": "uploaded",
"title": "<string>",
"mode": "merge",
"source": "ui",
"sourceOrganization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"sourceDeployment": "cloud",
"areas": [
"members.teams"
],
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"planHash": "<string>",
"approvals": [
{
"memberId": "<string>",
"name": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"autoApply": true,
"createdBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"revertsChangeRequestId": "<string>",
"revertedByChangeRequestId": "<string>",
"errors": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"appliedAt": "2023-11-07T05:31:56Z"
},
"report": {
"runId": "<string>",
"attempt": 0,
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"requestedBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"runsAs": {
"memberId": "<string>",
"name": "<string>"
},
"counts": {
"applied": 0,
"noop": 0,
"failed": 0,
"not_reached": 0,
"skipped": 0
},
"failure": {
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
}
},
"items": [
{
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"op": "create",
"localId": "<string>",
"status": "applied",
"steps": [
{
"action": "create",
"target": "<string>",
"detail": "<string>"
}
],
"warnings": [
"<string>"
],
"irreversible": [
"<string>"
],
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 0,
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
},
"error": "<string>"
}
],
"warnings": [
"<string>"
],
"afterRevs": {}
},
"runs": [
{
"runId": "<string>",
"attempt": 0,
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"requestedBy": {
"memberId": "<string>",
"name": "<string>",
"apiKeyName": "<string>"
},
"runsAs": {
"memberId": "<string>",
"name": "<string>"
},
"counts": {
"applied": 0,
"noop": 0,
"failed": 0,
"not_reached": 0,
"skipped": 0
},
"failure": {
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
}
},
"items": [
{
"area": "members.teams",
"ref": "<string>",
"name": "<string>",
"op": "create",
"localId": "<string>",
"status": "applied",
"steps": [
{
"action": "create",
"target": "<string>",
"detail": "<string>"
}
],
"warnings": [
"<string>"
],
"irreversible": [
"<string>"
],
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 0,
"failure": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"step": {
"action": "create",
"target": "<string>",
"detail": "<string>"
},
"status": 0
},
"error": "<string>"
}
],
"warnings": [
"<string>"
],
"afterRevs": {}
}
]
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"feature": "<string>"
}Authorizations
denApiKeybearerAuth
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
Den TypeID with 'ccr_' prefix and a 26-character base32 suffix.
Required string length:
30Was this page helpful?